Username: Password: Remember me
Search + Advanced
Package Details

awesome 4.1-1
https://awesomewm.org/
Highly configurable framework window manager

Category: x11

Submitter:
Maintainer: Ram-Z
Votes: 8

License: GPL2

Last Updated: 2017/03/20 - 00:31:12 +0000
First Submitted: 2011/01/25 - 00:16:11 +0000

Tarball :: PKGBUILD

Dependenciescairo dbus gdk-pixbuf2 imlib2 libxdg-basedir lua lua-lgipango startup-notification xcb-util-cursor xcb-util-keysyms xcb-util-wm xorg-apps 

Required by lain-git

Sources

Comment by: msx on Sat, 14 Dec 2013 13:29:54 +0000


@Ram-z: Hum, so you do the work and I just sign it? Works for me! XD
Thanks, updated!

Comment by: Ram-Z on Sat, 14 Dec 2013 11:29:21 +0000


3.5.2 is out.

Also, please don't install it into /usr/local, the correct place is /usr.

Here's a fixed PKGBUILD (mostly taken from arch):
http://paste.chakra-project.org/5926/
It has a new dependency (xcb-util-cursor) which I have uploaded to CCR.

Comment by: FranzMari on Sun, 13 Oct 2013 22:52:49 +0000


Ok, you can adopt it now wink
Thank you very much! big_smile

Comment by: msx on Sun, 13 Oct 2013 19:10:23 +0000


Yeah, why not? I'm always happy to help the distro, please go ahead and disown the package.

Comment by: FranzMari on Sun, 13 Oct 2013 10:24:23 +0000


Hey msx!
"Oops, my bad, sorry!" 
No problem wink

"Shouldn't then it be moved to another repository that makes more sense? I mean this isn't a specific games library"
I totally agree, but that's something we need to discuss with the other packagers.

I have a big idea: why don't you adopt the package?
I'm not using it, i adopted it some time ago because a user asked me to.
I would be happy to let it to you; what do you think about? wink

Comment by: msx on Sat, 12 Oct 2013 18:30:59 +0000


Hello!

"Please, if a package is broken don't flag it as outdated..."
Oops, my bad, sorry!

"libxdg-basedir exists, it is in the games repo (http://www.chakra-project.org/packages/ … pkg.tar.xz)"
Shouldn't then it be moved to another repository that makes more sense? I mean this isn't a specific games library wink

Now, what brings me here:
There are a couple of fixes I would like you consider.
The first one involves sed'ing awesome.desktop and fixing the executable path, it actually points to /usr/bin/awesome (Arch install) but should point to /usr/local/bin/awesome (Chakra install).
The second one involves deploying awesome.desktop in /usr/share/config/kdm/sessions or add the default path /usr/share/xsessions to the end of SessionDirs= field in /usr/share/config/kdm/kdmrc.

I had to do these fixes in order to have Awesome listed in KDM.
Another possibility involves adding "exec /usr/local/bin/awesome" to ~/.xinitrc and select "Custom" when at KDM but I prefer to stick to the awesome.desktop file ^ ^

Btw, a somewhat silly question: should I catalog Awesome's Vicious library as X11? I currently uploaded it as "lib".
Cheers!

Comment by: FranzMari on Sat, 25 May 2013 12:37:01 +0000


@msx: libxdg-basedir exists, it is in the games repo (http://www.chakra-project.org/packages/ … pkg.tar.xz). Maybe you have it disabled...

Please, if a package is broken don't flag it as outdated...

Comment by: msx on Fri, 24 May 2013 23:50:44 +0000


The package is broken:
"Dependency `libxdg-basedir' of `awesome' does not exist."

Please remember to always check that dependencies are met when porting from Arch's AUR smile